Forum Clubic

ET ne se lance pas apres install en .run

'Soir à tous !

J’ai téléchargé Ennemy Territory pour ma Mandrake 10.1 (KDE 3.2). Le fichier est sous la forme : et-linux-2.55.x86.run .
Bon, j’essaie un rpm /home/charles/fichier.run mais je savais que ca passerait pas. Un make install ~/fichier.run pareil, nada. Apparement il suffit juste de faire un /fichier.run mais la en root j’obtiens “Permission Denied” . Ya comme un probleme !

Alors comment fais-je pour installer ET?? Marci !

$ sh fichier.run

ou

$ chmod u+x fichier.run
$ ./fichier.run

en root j’imagine ! j’essaie de suite!

EDIT : $sh /home/charles/fichier.run fonctionne !
Merci, c’est génial d’en apprendre toujours plus quand on débute sous Linux !

c’est chiant ces executables d’installation…
les mecs qui font ca veulent transposer des reflexes windowsiens sous linux… ca qui est loin d’etre pratique et dans l’esprit de linux.

Pourquoi ne font ils pas des rpm, des deb ou meme des tar.gz ?? Il existe d’excellents gestionnaires de packages et ils trouvent le moyen de pondre des verues (par ignorance ou faineantise ? )

il est vrai que urpmi nom_fichier est bien plus commode mais bon…
Cependant j’ai un autre probleme : ET ne se lance pas. Il apparait dans la barre des taches puis il disparait. Serait-se à cause de ma CG (ATI 9600Pro) dont je n’ai pas mis à jour les pilotes ??

KP2 : crois pas que ce soit si con que ça.
ces fichiers sont les loki_installer, et ces fichiers disposent d’un vrai gestionnaire de paquetages.
http://lithmaster.free.fr/content/images/desktop/_thumb/loki_uninstall.jpg
ça c’est loki_uninstall, tu a aussi loki_update pour les mettre à jour.

et je crois que rien n’empeche (a part peut etre les licences) un packageur de decompacter le run et en faire un package pour sa distrib (gentoo propose des packages pour des démos de jeux commerciaux non?)

je suis desole mais je vois pas l’interet de ce truc !
Y’a largement ce qu’il faut au sein des distribs… les urpmi, apt-get, yum, etc sont tres avances et eprouves. je vois pas en quoi c’est necessaire d’ajouter un gestionnaire supplementaire et en plus juste pour un type de programmes : les jeux.
et en plus ca ne s’integre pas pleinement dans la distrib…
C’est particulierement idiot !

c’est libre au moins ?

c’est deja un gros probleme…
ils n’ont qu’a proposer leurs propres packages mais qui utilisent les gestionnaires existants

http://icculus.org/loki_setup/
oui c’est libre. Ensuite chacun son truc mais je trouve ces installeurs tout a fait propres et pratiques.

sickboyfr : Gentoo dispose d’ebuilds pour les demos et jeux complets (necessite les CD originaux evidement).

Heu, si mes souvenirs sont bon looki installer a été fait lorsque les RPM étaient plus que basiques…

De plus il faut les droits root pour utiliser rpm ou aptget ce qui n’est pas forcément utile pour un jeu.

NB : pour ET, il faut les pilotes 3D fonctionnels bien sûr :o ;).